# bigiq_regkey_license – Manages licenses in a BIG-IQ registration key pool

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages licenses in a BIG-IQ registration key pool.

## Requirements

The below requirements are needed on the host that executes this module.

- BIG-IQ >= 5.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

accept_eula
boolean

Choices:
- no
- yes

A key that signifies that you accept the F5 EULA for this license.
A copy of the EULA can be found here https://askf5.f5.com/csp/article/K12902
This is required when `state` is `present`.

description string |  | Description of the license.
license_key string / required |  | The license key to put in the pool.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

regkey_pool string / required |  | The registration key pool that you want to place the license in. You must be mindful to name your registration pools unique names. While BIG-IQ does not require this, this module does. If you do not do this, the behavior of the module is undefined and you may end up putting licenses in the wrong registration key pool.

state
string

Choices:
- absent
- present ←

The state of the regkey license in the pool on the system.
When `present`, guarantees that the license exists in the pool.
When `absent`, removes the license from the pool.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Add a registration key license to a pool
      bigiq_regkey_license:
        regkey_pool: foo-pool
        license_key: XXXXX-XXXXX-XXXXX-XXXXX-XXXXX
        accept_eula: yes
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Remove a registration key license from a pool
      bigiq_regkey_license:
        regkey_pool: foo-pool
        license_key: XXXXX-XXXXX-XXXXX-XXXXX-XXXXX
        state: absent
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | changed | The new description of the license key. Sample: My license for BIG-IP 1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.